Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Upgrading CME 3.3 to 4.0(3)

I received a 2811 w/ IOS version 12.4(3)g and CME 3.3. Because CME 3.3 does not support my 7911 IP phones, I need to upgrade.

Because of limited flash (64MB), I am choosing to upgrade to CME 4.0(3).

To do this, I see I must first upgrade my IOS to 12.4(4)XC4, then CME to 4.0(3).

After I upgraded my IOS to 12.4(4)XC4, I did a 'show telephony-service' out of curiousity, and it shows that CME has been upgraded to 4.0(3)?!?!?!?!?!

Does this mean I do not have to load any other files?

Please help!

Thanks

Tom

1 ACCEPTED SOLUTION

Accepted Solutions
Hall of Fame Super Gold

Re: Upgrading CME 3.3 to 4.0(3)

Never mind the documentation Tom. Is there to help and confuse you at the same time. Think about it as a stimulus to learn.

Now, steps to diagnose the non-registering phone, had you configure the ephone with correct mac address ? If you had auto-reg enabled, the phone may have registered under a dynamic ephone, do show ephone to see.

Also it helps if you do "term mon" and debug tftp events", you should see the phone coming online and request configuration files.

6 REPLIES
Hall of Fame Super Gold

Re: Upgrading CME 3.3 to 4.0(3)

Hi Tom,

first of all, CME *IS* IOS. The files you download as "CME", are just accessories, like the GUI files, phone firmware, etc. You can do perfectly without them.

Now if you want to to things even better, download and install 12.4(4)XC6, it came out after XC4, and can have many bug fixes, reducing the possibility you run into some problem unexpectedly.

Note that 64MB flash is not limiting at all, you can load and run all the images you want on your 2811.

Hope this helps, if so please rate post using the scrollbox below!

New Member

Re: Upgrading CME 3.3 to 4.0(3)

Ok, so CME is NOT a separate package I need to load in addition to IOS. It is part of the IOS.

Ok......that helps alot. And to be honest, I am running 12.4(4)XC6, I just wrote XC4 because the documentation says to use XC4 and didn't want anybody pointing that out. But yes, I am at XC6.

However, my 7911 still does not register. Hmmmm....

Thanks for the reply!

Tom

Hall of Fame Super Gold

Re: Upgrading CME 3.3 to 4.0(3)

Never mind the documentation Tom. Is there to help and confuse you at the same time. Think about it as a stimulus to learn.

Now, steps to diagnose the non-registering phone, had you configure the ephone with correct mac address ? If you had auto-reg enabled, the phone may have registered under a dynamic ephone, do show ephone to see.

Also it helps if you do "term mon" and debug tftp events", you should see the phone coming online and request configuration files.

New Member

Re: Upgrading CME 3.3 to 4.0(3)

I have built an ephone with the correct mac address (I verified it). I did the debug tftp events and got this:

=======================================

*Apr 26 18:01:07.955: TFTP: Looking for CTLSEP0019306FABE0.tlv

*Apr 26 18:01:08.027: TFTP: Looking for SEP0019306FABE0.cnf.xml

*Apr 26 18:01:08.519: TFTP: Opened system:/its/XMLDefault7911.cnf.xml, fd 0, size 0 for process 34

*Apr 26 18:01:08.519: TFTP: Finished system:/its/XMLDefault7911.cnf.xml, time 00:00:00 for process 34

=======================================

But the phone still does not register. Could it be a phone load issue? My 7961 is registered fine.

You are a lifesaver.

Tom

New Member

Re: Upgrading CME 3.3 to 4.0(3)

I got it. I copied cmterm-7906-7911-sccp.804SR2.tar into flash, extracted it, and configured the load file for term11.default.loads.

I was also forgetting the tftp-server and create cnf commands.

Im not sure if term11.default.loads is the best one to use, but the phone did register!

Thanks again!

Tom

Hall of Fame Super Gold

Re: Upgrading CME 3.3 to 4.0(3)

Tom, thank you for the nice rating.

termXX.default.loads is the "firmware master list" file that the phone searches when it has been restored to factory configuration. Once you configure "load 79xx SCCP..." under telephony services, that will supersede termXX.default.loads.

8.0(4)SR2 is not the latest firmware for 7911 but it may work fine for you, just check it out. If I was to list the bugs it has, that could scare you :)

Good luck!

433
Views
0
Helpful
6
Replies